gnutls_rsa_params_generate2(3)

NAME
gnutls_rsa_params_generate2 - API function

SYNOPSIS
#include <gnutls/compat.h>

int gnutls_rsa_params_generate2(gnutls_rsa_params_t params, unsigned int bits);

ARGUMENTS

gnutls_rsa_params_t params
    The structure where the parameters will be stored

unsigned int bits
    is the prime's number of bits

DESCRIPTION
This function will generate new temporary RSA parameters for use in RSA-EXPORT ciphersuites. This function is normally slow.

Note that if the parameters are to be used in export cipher suites the bits value should be 512 or less. Also note that the generation of new RSA parameters is only useful to servers. Clients use the parameters sent by the server, thus it's no use calling this in client side.

RETURNS
GNUTLS_E_SUCCESS on success, or an negative error code.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/